.header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: #00000070;
  position: absolute;
  width: 100%;

  &__logo {
    letter-spacing: 5px;
    margin: 0 30px;
  }

  &__menu {
    width: 70%;

    .icon-user {
      height: 40px;
    }
  }

  a {
    color: #fff;
    text-decoration: none;
  }

  button {
    color: #fff;
    background-color: transparent;
    border: none;
    cursor: pointer;
    text-decoration: none;
    display: inline;
    margin: 0;
    padding: 0;
    outline: none;

    &:hover {
      text-decoration: none;
    }

    &:focus {
      text-decoration: none;
    }
  }

  ul {
    display: flex;
    justify-content: space-around;
  }

  .login {
    margin-left: auto;
  }

  .userlogo--login {
    padding: 2px 10px 0;
    position: relative;

    @media screen and (max-width: 768px) {
      position: absolute;
      padding: 10px 0;
      bottom: 0px;
      border-bottom: 1px solid rgba(255, 255, 255, 0.337);
      border-top: 1px solid rgba(255, 255, 255, 0.337);

      svg {
        margin: 4px 5px 14px;
      }
      &:hover {
        background-color: transparent;
        font-weight: normal;
      }
    }
  }

  &__dropdown {
    display: none;
    position: absolute;
    top: 35px;
    left: -60px;
    width: 150px;
    background-color: #00000070;
    border-top: 1px solid rgba(255, 255, 255, 0.337);

    a {
      display: block;
      padding: 20px 15px;
      border-bottom: 1px solid rgba(255, 255, 255, 0.337);

      &:hover {
        font-weight: 700;
        background-color: var(--color-orange-1);
      }
    }

    @media screen and (max-width: 768px) {
      display: block;
      position: static;
      width: 100%;
      background-color: transparent;
      border-bottom: 1px solid rgba(255, 255, 255, 0.337);
    }
  }

  li {
    list-style: none;
    padding: 10px 15px;
    cursor: pointer;
    letter-spacing: 2px;
    transition: all 300ms;

    a {
      display: flex;
      align-items: center;
      justify-content: center;
    }

    &:hover {
      font-weight: 700;
      background-color: var(--color-orange-1);
    }
  }

  svg {
    fill: #efe8e899;
    width: 30px;
    margin-right: 10px;
  }

  &__burger {
    border: 1px solid #c3c2c27a;

    padding: 4px;
    border-radius: 5px;
    display: none;
    margin: 10px 20px;

    @media screen and (max-width: 768px) {
      display: block;
    }
  }

  &__burger div {
    width: 20px;
    height: 2px;
    background-color: #c3c2c27a;

    margin: 4px;
    transition: all 200ms ease-in;
  }

  &__menu {
    @media screen and (max-width: 768px) {
      position: absolute;
      right: 0;
      top: 52px;
      width: 80%;
      height: calc(100vh - 50px);
      // flex-direction: column;
      // align-items: flex-start;
      // justify-content: flex-start;
      background-color: #100d0dad;
      // background-color: rgba(255, 255, 255, 0.1);
      backdrop-filter: blur(2px);
      transition: all 0.2s ease-in;
      transform: translateX(100%);
      opacity: 0;
      z-index: 10;

      ul {
        flex-direction: column;
      }

      li {
        margin: auto;
        padding: 20px 0;
        border-bottom: 1px solid rgba(255, 255, 255, 0.337);
        width: 100%;
        text-align: center;
      }
    }
  }
}
